get_sound_input_cap_bits(3)

NAME
get_sound_input_cap_bits - Checks which audio input sample formats are supported. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int get_sound_input_cap_bits();

DESCRIPTION
Checks which sample formats are supported by the current audio input driver, returning one of the bitfield values:
   0 = audio input not supported
   8 = eight bit audio input is supported
   16 = sixteen bit audio input is supported
   24 = both eight and sixteen bit audio input are supported
Example:
   cap = get_sound_input_cap_bits();
   if (cap == 0) {
      /* Ugh, no audio input supported? */
   } else {
      if (cap & 8) {
         /* We have eight bit audio input. */
      }
      if (cap & 16) {
         /* We have sixteen bit audio input. */
      }
   }

SEE ALSO
start_sound_input(3), get_sound_input_cap_parm(3), get_sound_input_cap_rate(3), get_sound_input_cap_stereo(3)